using System.ComponentModel;

namespace GxPress.EnumConst
{
    /// <summary>
    /// 节点状态类型
    /// </summary>
    public enum NodeStateConst
    {
        Start,      // 发起
        Meeting,    // 上会
        Checked,    // 同意
        Denied,     // 驳回
        Checking,   // 审批中
        Referral,   //已转审
    }

    public static class NodeStateConstUtils
    {
        public static string GetText(NodeStateConst state)
        {
            if (state == NodeStateConst.Start)
            {
                return "发起";
            }
            else if (state == NodeStateConst.Meeting)
            {
                return "上会";
            }
            else if (state == NodeStateConst.Checked)
            {
                return "同意";
            }
            else if (state == NodeStateConst.Denied)
            {
                return "驳回";
            }
            else if (state == NodeStateConst.Referral)
            {
                return "已转审";
            }
            return "审批中";
        }
    }
}